﻿
.process-loadingscreen {
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: 10000000;
	/*background-color: rgba(0, 0, 0, 0.69);*/
	background-color: rgba(0, 0, 0, 0.05);
	display: none;
}

	.process-loadingscreen .loading-text {
		text-align: center;
		/*color: #e3d8ff;*/
		color:white;
		font-size: xx-large;
	}

.folding-cube-container {
	position: relative;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	padding: 15px;
	padding-top: 25px;
	/*background-color: rgba(119, 92, 255, 0.72);*/
	background-color: rgba(170, 165, 232, 0.79);
	/*border-top: 3px solid rgba(227, 216, 255, 0.66);
	border-bottom: 3px solid rgba(227, 216, 255, 0.66);*/
	border-top: 3px solid rgb(255, 255, 255);
	border-bottom: 3px solid rgb(255, 255, 255);
}

.sk-cube-grid {
	/*position:relative;*/
	width: 150px;
	height: 150px;
	/*margin: 100px auto;*/
	margin: 0 auto;
	
}

	.sk-cube-grid .sk-cube {
		width: 33%;
		height: 33%;
		/*background-color: #e3d8ff;*/
		background-color:white;
		float: left;
		-webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
		animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
	}

	.sk-cube-grid .sk-cube1 {
		-webkit-animation-delay: 0.2s;
		animation-delay: 0.2s;
	}

	.sk-cube-grid .sk-cube2 {
		-webkit-animation-delay: 0.3s;
		animation-delay: 0.3s;
	}

	.sk-cube-grid .sk-cube3 {
		-webkit-animation-delay: 0.4s;
		animation-delay: 0.4s;
	}

	.sk-cube-grid .sk-cube4 {
		-webkit-animation-delay: 0.1s;
		animation-delay: 0.1s;
	}

	.sk-cube-grid .sk-cube5 {
		-webkit-animation-delay: 0.2s;
		animation-delay: 0.2s;
	}

	.sk-cube-grid .sk-cube6 {
		-webkit-animation-delay: 0.3s;
		animation-delay: 0.3s;
	}

	.sk-cube-grid .sk-cube7 {
		-webkit-animation-delay: 0s;
		animation-delay: 0s;
	}

	.sk-cube-grid .sk-cube8 {
		-webkit-animation-delay: 0.1s;
		animation-delay: 0.1s;
	}

	.sk-cube-grid .sk-cube9 {
		-webkit-animation-delay: 0.2s;
		animation-delay: 0.2s;
	}

@-webkit-keyframes sk-cubeGridScaleDelay {
	0%, 70%, 100% {
		-webkit-transform: scale3D(1, 1, 1);
		transform: scale3D(1, 1, 1);
	}

	35% {
		-webkit-transform: scale3D(0, 0, 1);
		transform: scale3D(0, 0, 1);
	}
}

@keyframes sk-cubeGridScaleDelay {
	0%, 70%, 100% {
		-webkit-transform: scale3D(1, 1, 1);
		transform: scale3D(1, 1, 1);
	}

	35% {
		-webkit-transform: scale3D(0, 0, 1);
		transform: scale3D(0, 0, 1);
	}
}